summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/any_errors_fatal/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/any_errors_fatal/runme.sh')
-rwxr-xr-xtest/integration/targets/any_errors_fatal/runme.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/test/integration/targets/any_errors_fatal/runme.sh b/test/integration/targets/any_errors_fatal/runme.sh
new file mode 100755
index 0000000..c54ea8d
--- /dev/null
+++ b/test/integration/targets/any_errors_fatal/runme.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/env bash
+
+set -ux
+ansible-playbook -i inventory "$@" play_level.yml| tee out.txt | grep 'any_errors_fatal_play_level_post_fail'
+res=$?
+cat out.txt
+if [ "${res}" -eq 0 ] ; then
+ exit 1
+fi
+
+ansible-playbook -i inventory "$@" on_includes.yml | tee out.txt | grep 'any_errors_fatal_this_should_never_be_reached'
+res=$?
+cat out.txt
+if [ "${res}" -eq 0 ] ; then
+ exit 1
+fi
+
+set -ux
+
+ansible-playbook -i inventory "$@" always_block.yml | tee out.txt | grep 'any_errors_fatal_always_block_start'
+res=$?
+cat out.txt
+
+if [ "${res}" -ne 0 ] ; then
+ exit 1
+fi
+
+set -ux
+
+for test_name in test_include_role test_include_tasks; do
+ ansible-playbook -i inventory "$@" -e test_name=$test_name 50897.yml | tee out.txt | grep 'any_errors_fatal_this_should_never_be_reached'
+ res=$?
+ cat out.txt
+ if [ "${res}" -eq 0 ] ; then
+ exit 1
+ fi
+done